# services/maintenance/apps/kustomization.yaml
apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization
namespace: maintenance
resources:
  - metis-configmap.yaml
  - metis-data-pvc.yaml
  - soteria-configmap.yaml
  - ariadne-serviceaccount.yaml
  - soteria-serviceaccount.yaml
  - ariadne-rbac.yaml
  - soteria-rbac.yaml
  - metis-serviceaccount.yaml
  - metis-rbac.yaml
  - metis-token-sync-serviceaccount.yaml
  - ariadne-deployment.yaml
  - metis-deployment.yaml
  - soteria-deployment.yaml
  - metis-k3s-token-sync-cronjob.yaml
  - ariadne-service.yaml
  - soteria-service.yaml
  - metis-service.yaml
configMapGenerator:
  - name: metis-inventory
    namespace: maintenance
    files:
      - inventory.yaml=metis-inventory.yaml
    options:
      disableNameSuffixHash: true
